> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tilt.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Tickers

> Search for tickers, filtering by ticker property. At least one filter property must be provided.



## OpenAPI

````yaml GET /api/v1/tickers/search
openapi: 3.0.3
info:
  title: TILT
  version: 0.0.1
servers: []
security: []
paths:
  /api/v1/tickers/search:
    get:
      tags:
        - api
      description: >-
        Search for tickers, filtering by ticker property. At least one filter
        property must be provided.
      operationId: api_v1_tickers_search_list
      parameters:
        - in: query
          name: cusips
          schema:
            type: string
          description: Comma-separated list of CUSIPs
        - in: query
          name: exchange
          schema:
            type: string
          description: Search by exchange (case insensitive partial match)
        - in: query
          name: isins
          schema:
            type: string
          description: Comma-separated list of ISINs
        - name: page
          required: false
          in: query
          description: A page number within the paginated result set.
          schema:
            type: integer
        - name: page_size
          required: false
          in: query
          description: Number of results to return per page.
          schema:
            type: integer
        - in: query
          name: symbols
          schema:
            type: string
          description: Comma-separated list of ticker symbols
        - in: query
          name: ticker_types
          schema:
            type: string
          description: Comma-separated list of ticker types
        - in: query
          name: tilt_asset_ids
          schema:
            type: string
          description: Comma-separated list of tilt asset IDs
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedExternalTickerList'
          description: ''
      security:
        - ProAPIToken: []
components:
  schemas:
    PaginatedExternalTickerList:
      type: object
      required:
        - count
        - results
      properties:
        count:
          type: integer
          example: 123
        next:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?page=4
        previous:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?page=2
        results:
          type: array
          items:
            $ref: '#/components/schemas/ExternalTicker'
    ExternalTicker:
      type: object
      properties:
        symbol:
          type: string
          maxLength: 32
        name:
          type: string
          maxLength: 255
        exchange:
          type: string
          maxLength: 32
        isin:
          type: string
          nullable: true
          maxLength: 16
        cusip:
          type: string
          nullable: true
          maxLength: 9
        ticker_type:
          $ref: '#/components/schemas/TickerTypeEnum'
        tilt_asset_id:
          type: string
          nullable: true
          maxLength: 32
      required:
        - exchange
        - name
        - symbol
        - ticker_type
    TickerTypeEnum:
      enum:
        - common_stock
        - etf
        - adrc
        - dr
        - cash
        - index
        - mf_c
      type: string
      description: |-
        * `common_stock` - Common Stock
        * `etf` - Etf
        * `adrc` - Adrc
        * `dr` - Dr
        * `cash` - Cash
        * `index` - Index
        * `mf_c` - Mf C
  securitySchemes:
    ProAPIToken:
      type: apiKey
      in: header
      name: X-Api-Key

````